name: field.blocks.image.name
icon: image
preview: image
fields:
  location:
    label: field.blocks.image.location
    type: radio
    columns: 2
    default: "kirby"
    options:
      kirby: Kirby
      web: Web
  image:
    label: field.blocks.image.name
    type: files
    multiple: false
    image:
      back: black
    when:
      location: kirby
  src:
    label: field.blocks.image.url
    type: url
    when:
      location: web
  alt:
    label: field.blocks.image.alt
    type: text
    icon: title
  caption:
    label: field.blocks.image.caption
    type: writer
    icon: text
    inline: true
  align:
    label: Alignement vertical
    type: select
    width: 1/2
    options:
      flex-start: aligner en haut
      flex-center: aligner au milieu
      flex-end: aligner en bas
  overlap:
    label: Superposition
    type: toggle
    width: 1/2
  topPadding:
    label: False
    type: toggle
    width: 1/2
    text:
      - marges en haut
      - pas de marges en haut
  bottomPadding:
    label: False
    type: toggle
    width: 1/2
    text:
      - marges en bas
      - pas de marges en bas
  leftPadding:
    label: False
    type: toggle
    width: 1/2
    text:
      - marges à gauche
      - pas de marges à gauche
  rightPadding:
    label: False
    type: toggle
    width: 1/2
    text:
      - marges à droite
      - pas de marges à droite      